Name:           perl-Locale-SubCountry
Version:        1.38 
Release:        1%{?dist}
Summary:        ISO 3166-2 two letter subcountry codes

Group:          Development/Libraries
License:        Artistic or GPL
URL:            http://search.cpan.org/dist/Locale-SubCountry
Source0: http://search.cpan.org/CPAN/authors/id/K/KI/KIMRYAN/Locale-SubCountry-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires:  perl
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module allows you to convert the full name for a countries administrative
region to the code commonly used for postal addressing. The reverse lookup can
also be done. Sub country codes are defined in "ISO 3166-2:1998, Codes for the
representation of names of countries and their subdivisions".

Sub countries are termed as states in the US and Australia, provinces in
Canada and counties in the UK and Ireland.

%prep
%setup -q -n Locale-SubCountry-%{version}

chmod -x examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

# make sure the man page is UTF-8...
cd blib/man3
iconv --from=ISO-8859-1 --to=UTF-8 Locale::SubCountry.3pm > new
mv new Locale::SubCountry.3pm


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Tue Dec 05 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.38-1
- update to 1.38
- minor specfile tweaks

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.37-2
- bump for mass rebuild

* Wed Jul  5 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.37-1
- bump release for f-e build

* Mon Jul  3 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.37-0.1
- add additional buildreq's

* Thu Jun 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.37-0
- Initial spec file for F-E
